import 'package:get/get.dart';
import 'package:fis_jsonrpc/rpc.dart';

class GroupChatState {
  // title
  final _groupName = "".obs;

  set groupName(value) => _groupName.value = value;
  get groupName => _groupName.value;

  /// 消息列表
  final _messagesList = <SimpleRecordInfoDTO>[].obs;
  set messagesList(value) {
    _messagesList.value = value;
  }

  List<SimpleRecordInfoDTO> get messagesList => _messagesList;

  /// Loading 的省略号
  final _loadingDot = "   ".obs;
  set loadingDot(value) => _loadingDot.value = value;
  get loadingDot => _loadingDot.value;

  /// 当前群聊（设备+成员）总数
  final _totalDeviceAndMemberNum = 0.obs;
  set totalDeviceAndMemberNum(value) => _totalDeviceAndMemberNum.value = value;
  get totalDeviceAndMemberNum => _totalDeviceAndMemberNum.value;

  /// 当前群聊设备总数
  final _totalDeviceNum = 0.obs;
  set totalDeviceNum(value) => _totalDeviceNum.value = value;
  get totalDeviceNum => _totalDeviceNum.value;

  /// 当前群聊成员总数
  final _totalMemberNum = 0.obs;
  set totalMemberNum(value) => _totalMemberNum.value = value;
  get totalMemberNum => _totalMemberNum.value;

  ///是否显示图像和报告列表抽屉
  final _imageAndReportsDrawer = false.obs;
  bool get showImageAndReportsDrawer => _imageAndReportsDrawer.value;
  set showImageAndReportsDrawer(bool v) => _imageAndReportsDrawer.value = v;
}
